Page MenuHomePhabricator

revert Ifc2454c7f (*.ggpht.com on wgCopyUploadsDomain) after Rijksmuseum done mass upload in 2015-10
Closed, ResolvedPublic

Description

See T110869

*.ggpht.com is google cloud servers used by many people (including non-free media), so we may want to revert it being allowed on commons (Ifc2454c7) after the glam upload is done.

Its projected this should be done sometime in early october. Contact for the upload project is @Spinster


Personal opinion that other people might not agree with: Its not super time-sensitive that this gets reverted immediately after the glam project is done (although it should be done at some point). Uploading via url is very restricted to certain user groups, so its unlikely anyone at commons is going to abuse this. My understanding is that the primary purpose of the whitelist is in the case of a malicious user in control of the other server trying to exploit bugs in curl, which presumably is less of an issue since google controls these servers and not some unknown party.

Event Timeline

Bawolff created this task.Sep 14 2015, 7:44 AM
Bawolff raised the priority of this task from to Low.
Bawolff updated the task description. (Show Details)
Bawolff added subscribers: Bawolff, Spinster.
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 14 2015, 7:44 AM
Aklapper renamed this task from revert Ifc2454c7f (*.ggpht.com on wgCopyUploadsDomain) after Rijksmuseum done mass upload to revert Ifc2454c7f (*.ggpht.com on wgCopyUploadsDomain) after Rijksmuseum done mass upload in 2015-10.Sep 14 2015, 11:11 AM
Aklapper set Security to None.
Steinsplitter moved this task from Incoming to Backlog on the Commons board.Sep 18 2015, 1:16 PM
Glaisher added a subscriber: Glaisher.

Moved to "Working on" so that this doesn't get lost in the backlog.

TTO added a subscriber: TTO.Dec 22 2015, 9:22 AM

Is this project finished?

Pinging @Spinster about the above

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 12 2016, 7:19 PM

@csteipp Should we revert this by the way or keep it if there waiting for another GLAM project using Google Code Engine?

@Dereckson, yes, I would recommend delisting that domain once this project is finished.

Okay, I've sent a mail to @Spinster to ask for update.

Yes, the upload is finished indeed and the domain can be delisted.

Thank you for the update.

Change 270456 had a related patch set uploaded (by Dereckson):
Remove *.ggpht.com from Wikimedia Commons upload whitelist

https://gerrit.wikimedia.org/r/270456

Change 270456 merged by jenkins-bot:
Remove *.ggpht.com from Wikimedia Commons upload whitelist

https://gerrit.wikimedia.org/r/270456

Dereckson closed this task as Resolved.Feb 16 2016, 5:41 PM